.category-tabs {
  padding-left: 0;
  padding-right: 0;

  @include media("sm") {
    padding-left: 5%;
    padding-right: 5%;
  }

  > .header,
  > .swipers .swiper {
    position: relative;
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .header {
    text-align: center;
    margin-bottom: 3.2rem;
  }

  > .header .title {
    font-size: 1.8rem;
  }

  > .buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 3.2rem;
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      margin-bottom: 2.6rem;
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .buttons .buttons-wrapper {
    display: flex;
    align-items: center;
    overflow-x: auto;
    padding-bottom: 0.6rem;

    &::-webkit-scrollbar {
      height: 0.2rem;
    }

    &::-webkit-scrollbar-track {
      background: var(--gray-2);
      border-radius: 0.8rem;
    }

    &::-webkit-scrollbar-thumb {
      background: var(--gray-4);
      border-radius: 0.8rem;
    }
  }

  > .buttons .button {
    position: relative;
    color: var(--gray-3);
    margin-right: 3.2rem;
    padding-bottom: 0.4rem;
    transition: var(--transition);
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-base);
    white-space: nowrap;

    @include media("md") {
      margin-right: 4.8rem;
    }

    &:last-child {
      margin-right: 0;
    }

    &::after {
      content: "";
      position: absolute;
      left: 0;
      bottom: 0;
      background-color: var(--gray-4);
      width: 100%;
      height: 0.1rem;
      transition: var(--transition);
      transform-origin: 0 50%;
      transform: scaleX(0);
    }

    &:hover,
    &.-active {
      color: var(--gray-4);

      &::after {
        transform: scaleX(1);
      }
    }

    &.-active {
      font-weight: 500;
    }
  }

  > .swipers .content-swiper {
    position: relative;

    &:not(.-active) {
      display: none;
    }
  }

  > .swipers .swiper-slide {
    height: auto;
  }

  > .swipers .swiper-slide:not(.swiper-slide-active):not(.swiper-slide-next) .product-block:not(.sold-out) {
    transition: var(--transition);
    opacity: 0.4;

    @include media("sm") {
      opacity: 1;
    }
  }

  > .swipers .swiper-button-prev,
  > .swipers .swiper-button-next {
    top: 36%;
    display: none;

    @include media("sm") {
      display: flex;
    }
  }

  > .swipers .swiper-button-prev {
    left: -0.5vw;
    transform: translate(-100%, -50%);
  }

  > .swipers .swiper-button-next {
    right: -0.5vw;
    transform: translate(100%, -50%);
  }

  > .swipers .swiper-pagination {
    position: static !important;
    width: 90% !important;
    margin: 3.2rem auto 0;

    @include media("sm") {
      width: 100% !important;
    }
  }
}
